# Deprecated. Get a list of location positions (deprecated)

**This endpoint is deprecated.** Use `GET /v2/companies/{company_id}/positions` instead.
The method allows you to get a list of current positions in the location.
**Migration:** The V2 Positions API provides enhanced functionality with full CRUD operations, pagination, and JSON:API format responses. See operation `list_positions` for details.

Endpoint: GET /company/{location_id}/staff/positions
Version: 1.0.0
Security: BearerPartnerUser

## Security:

  - `BearerPartnerUser` (unknown)
    http bearer Bearer {PartnerToken}, User {UserToken}

## Path parameters:

  - `location_id` (number, required)
    location ID

## Header parameters:

  - `Accept` (string, required)
    e.g. application/vnd.api.v2+json

## Response 200:

  - `200` (unknown)
    List of location positions

## Response 200 fields (application/json):

  - `data` (array, required)
    Array of objects with data

  - `data.id` (number, required)
    position id

  - `data.title` (string, required)
    job title

  - `meta` (array, required)
    Metadata (contains the number of posts found)

  - `success` (boolean, required)
    Execution success status (true)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Authentication needed.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Access denied.

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object | array)
    Additional response data (empty object or empty array)
    Example: {}

